HP LaserJet 1000 :  foo2zjs - foo2hp - foo2xqx - foo2lava - foo2qpdl - foo2oak
Support for linux printer drivers
The fastest message board... ever.
 
CUPS 1.4.5 -> b0rk? [solved; gentoo CUPS]
Posted by: csingley ()
Date: December 07, 2010 01:36AM

Hi, I'm struggling to get this lj1000 working.

I've installed the foo2zjs package from here. The firmware seems to be loading successfully upon hotplug:

toughbook foo2zjs # usb_printerid /dev/usb/lp0 
GET_DEVICE_ID string:
MFG:Hewlett-Packard;MDL:hp LaserJet 1000;CMD:ZJS;CLS:PRINTER;DES:hp LaserJet 1000;FWVER:20011207;

And indeed, I can print the test page using the handy procedure seen in this forum:

toughbook foo2zjs # foo2zjs-wrapper -P -r600x600 testpage.ps > xxx.prn
toughbook foo2zjs # cp xxx.prn /dev/usb/lp0

The above prints beautifully. Where it seems to break down is in CUPS. I'm running cups-1.4.5 (with usb support compiled in), and the device is configured so:

toughbook foo2zjs # grep URI /etc/cups/printers.conf
DeviceURI usb:/dev/usb/lp0

Unfortunately, this doesn't work. The CUPS web admin GUI (which I successfully use to manage other printers) continually shows the printer's status as "Waiting for printer to become available". I also tried DeviceURI usb://HP/LaserJet%201000 , but alas, to no avail.

So I'm a little stuck. I don't want to downgrade CUPS if possible, because that's version's a dependency for other packages on my system... is this a config error?

TIA



Edited 1 time(s). Last edit at 12/07/2010 04:58AM by rickrich.

Options: ReplyQuote
Re: CUPS 1.4.5 -> b0rk?
Posted by: csingley ()
Date: December 07, 2010 02:35AM

Wasn't able to get cups-1.4.4 working either.

It works if I downgrade CUPS to 1.3.11 and use Device URI: usb://HP/LaserJet%201000

Is this something to do with CUPS transitioning to using libusb, while foo2zjs uses usblp to hot-load the firmware for the lj1000?

Options: ReplyQuote
Re: CUPS 1.4.5 -> b0rk?
Posted by: rickrich ()
Date: December 07, 2010 04:03AM

Works fine on Fedora 13 and cups-1.4.4-11.fc13.i686. What is your distro???

Options: ReplyQuote
Re: CUPS 1.4.5 -> b0rk?
Posted by: csingley ()
Date: December 07, 2010 04:44AM

rickrich Wrote:
-------------------------------------------------------
> Works fine on Fedora 13 and
> cups-1.4.4-11.fc13.i686. What is your distro???

Gentoo... I know, I know.

I noticed that Gentoo's package of 1.3.11 has USB support switched off, while the versions of 1.4.4 and 1.4.5 I was installing had USB support turned on. I reinstalled both 1.4.4 and 1.4.5 with "USE=-usb", and now each works beautifully with foo2zjs.

So that's a simple fix for this conflict. Hurray!

Options: ReplyQuote


Sorry, only registered users may post in this forum.
This forum powered by Phorum.